package com.backendsys.mapper.B2c;

import com.backendsys.entity.B2c.B2cShoppingCartDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface B2cShoppingCartMapper {
    List<Map<String, Object>> queryShoppingCartList(B2cShoppingCartDTO b2cShoppingCartDTO);
    Map<String, Object> queryShoppingCartDetail(B2cShoppingCartDTO b2cShoppingCartDTO);
    long insertShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
    long updateShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
    long cleanShoppingCart(B2cShoppingCartDTO b2cShoppingCartDTO);
}
